## libseccomp 0.1.0

=== Makefile ===
#
# Enhanced Seccomp Library Makefile
#
# Copyright (c) 2012 Red Hat <pmoore@redhat.com>
# Author: Paul Moore <pmoore@redhat.com>
#

#
# This library is free software; you can redistribute it and/or modify it
# under the terms of version 2.1 of the GNU Lesser General Public License as
# published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
# for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, see <http://www.gnu.org/licenses>.
#

#
# macros
#

include macros.mk

#
# configuration
#

-include version_info.mk
-include configure.mk
include install.mk

#
# targets
#

CONFIGS = configure.mk configure.h version_info.mk libseccomp.pc
SUBDIRS_BUILD = src tests tools
SUBDIRS_INSTALL = src include doc

.PHONY: tarball install ctags cstags clean dist-clean $(SUBDIRS_BUILD)

all: $(SUBDIRS_BUILD)

$(CONFIGS): version_info
	@echo "INFO: automatically generating configuration ..."
	@./configure

tarball: clean
	@ver=$(VERSION_RELEASE); \
	tarball=libseccomp-$$ver.tar.gz; \
	echo "INFO: creating the tarball ../$$tarball"; \
	tmp_dir=$$(mktemp -d /tmp/libseccomp.XXXXX); \
	rel_dir=$$tmp_dir/libseccomp-$$ver; \
	mkdir $$rel_dir; \
	tar cf - --exclude=*~ --exclude=.git* --exclude=.stgit* . | \
		(cd $$rel_dir; tar xf -); \
	(cd $$tmp_dir; tar zcf $$tarball libseccomp-$$ver); \
	mv $$tmp_dir/$$tarball ..; \
	rm -rf $$tmp_dir;

$(VERSION_HDR): version_info.mk
	@echo "INFO: creating the version header file"
	@hdr="$(VERSION_HDR)"; \
	echo "/* automatically generated - do not edit */" > $$hdr; \
	echo "#ifndef _VERSION_H" >> $$hdr; \
	echo "#define _VERSION_H" >> $$hdr; \
	echo "#define VERSION_RELEASE \"$(VERSION_RELEASE)\"" >> $$hdr; \
	echo "#endif" >> $$hdr;

$(SUBDIRS_BUILD): $(VERSION_HDR) $(CONFIGS)
	@echo "INFO: building in directory $@/ ..."
	@$(MAKE) -s -C $@

install: $(SUBDIRS_BUILD)
	@echo "INFO: installing in $(INSTALL_PREFIX) ..."
	@$(INSTALL_MACRO) $(INSTALL_LIB_DIR)/pkgconfig libseccomp.pc
	@for dir in $(SUBDIRS_INSTALL); do \
		echo "INFO: installing from $$dir/"; \
		$(MAKE) -s -C $$dir install; \
	done

ctags:
	@echo "INFO: generating ctags for the project ..."
	@ctags -R *

cstags:
	@echo "INFO: generating cscope tags for the project ..."
	@find -iname *.[ch] > cscope.files
	@cscope -b -q -k

clean:
	@for dir in $(SUBDIRS_BUILD); do \
		echo "INFO: cleaning in $$dir/"; \
		$(MAKE) -s -C $$dir clean; \
	done

dist-clean: clean
	@echo "INFO: removing the configuration files"
	@rm -f $(CONFIGS)

=== doc/Makefile ===
#
# Enhanced Seccomp Library Makefile
#
# Copyright (c) 2012 Red Hat <pmoore@redhat.com>
# Author: Paul Moore <pmoore@redhat.com>
#

#
# This library is free software; you can redistribute it and/or modify it
# under the terms of version 2.1 of the GNU Lesser General Public License as
# published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
# for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, see <http://www.gnu.org/licenses>.
#

#
# macros
#

include ../macros.mk

#
# configuration
#

include $(TOPDIR)/version_info.mk
include $(TOPDIR)/configure.mk
include $(TOPDIR)/install.mk

MAN3 = \
	man/man3/seccomp_init.3 \
	man/man3/seccomp_load.3 \
	man/man3/seccomp_release.3 \
	man/man3/seccomp_reset.3 \
	man/man3/seccomp_rule_add.3 \
	man/man3/seccomp_rule_add_exact.3 \
	man/man3/seccomp_syscall_priority.3 \
	man/man3/seccomp_export_bpf.3 \
	man/man3/seccomp_export_pfc.3 \
	man/man3/seccomp_attr_set.3 \
	man/man3/seccomp_attr_get.3

#
# targets
#

.PHONY: all install install_man3

all:

install: install_man3

install_man3: $(MAN3)
	$(INSTALL_MAN_MACRO) man3 "manpages"

=== src/Makefile ===
#
# Enhanced Seccomp Library Makefile
#
# Copyright (c) 2012 Red Hat <pmoore@redhat.com>
# Author: Paul Moore <pmoore@redhat.com>
#

#
# This library is free software; you can redistribute it and/or modify it
# under the terms of version 2.1 of the GNU Lesser General Public License as
# published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
# for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, see <http://www.gnu.org/licenses>.
#

#
# macros
#

include ../macros.mk

#
# configuration
#

include $(TOPDIR)/version_info.mk
include $(TOPDIR)/configure.mk
include $(TOPDIR)/install.mk

LIB_STATIC = libseccomp.a
LIB_SHARED = libseccomp.so.$(VERSION_RELEASE)

OBJS = \
	api.o db.o \
	arch.o arch-i386.o \
	hash.o \
	gen_pfc.o gen_bpf.o

DEPS = $(OBJS:%.o=%.d)

#
# targets
#

.PHONY: all install clean

all: $(LIB_STATIC) $(LIB_SHARED)

-include $(DEPS)

$(LIB_STATIC): $(OBJS)
	$(ARCHIVE)

$(LIB_SHARED): $(OBJS)
	$(LINK_LIB)

install: $(LIB_SHARED)
	$(INSTALL_LIB_MACRO)

clean:
	$(RM) -f $(DEPS) $(OBJS) $(LIB_STATIC) $(LIB_SHARED)

=== tests/Makefile ===
#
# Enhanced Seccomp Library Makefile
#
# Copyright (c) 2012 Red Hat <pmoore@redhat.com>
# Author: Paul Moore <pmoore@redhat.com>
#

#
# This library is free software; you can redistribute it and/or modify it
# under the terms of version 2.1 of the GNU Lesser General Public License as
# published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
# for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, see <http://www.gnu.org/licenses>.
#

#
# macros
#

include ../macros.mk

#
# configuration
#

include $(TOPDIR)/version_info.mk
include $(TOPDIR)/configure.mk

OBJS = util.o

LDFLAGS := ../src/libseccomp.a $(OBJS)

TESTS = 01-allow \
	02-basic \
	03-basic-chains \
	04-multilevel-chains \
	05-long-jumps \
	06-actions \
	07-db-bug-looping \
	08-subtree-checks \
	09-syscall-priority-pre \
	10-syscall-priority-post \
	11-basic-errors \
	12-basic-masked-ops \
	13-attrs

DEPS_OBJS = $(OBJS:%.o=%.d)
DEPS_TESTS = $(TESTS:%=%.d)

#
# targets
#

.PHONY: clean

all: $(TESTS) $(OBJS)

-include $(DEPS_TESTS) $(DEPS_OBJS)

$(DEPS_TESTS):
	$(MAKEDEP_EXEC)
	$(ADDDEP) $@ ../src/libseccomp.a
	$(ADDDEP) $@ $(OBJS)

$(TESTS):
	$(COMPILE_EXEC)

clean:
	$(RM) -f $(DEPS_TESTS) $(DEPS_OBJS) $(TESTS) $(OBJS)

=== tools/Makefile ===
#
# Enhanced Seccomp Library Makefile
#
# Copyright (c) 2012 Red Hat <pmoore@redhat.com>
# Author: Paul Moore <pmoore@redhat.com>
#

#
# This library is free software; you can redistribute it and/or modify it
# under the terms of version 2.1 of the GNU Lesser General Public License as
# published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
# for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, see <http://www.gnu.org/licenses>.
#

#
# macros
#

include ../macros.mk

#
# configuration
#

include $(TOPDIR)/configure.mk

TOOLS = bpf_disasm \
	bpf_sim

DEPS = $(TOOLS:%=%.d)

#
# targets
#

.PHONY: clean

all: $(TOOLS)

-include $(DEPS)

$(DEPS):
	$(MAKEDEP_EXEC)

$(TOOLS):
	$(COMPILE_EXEC)

clean:
	$(RM) -f $(DEPS) $(TOOLS)

=== debian/changelog ===
libseccomp (0.1.0-1ubuntu1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1077735)

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 14 Nov 2012 10:20:37 -0600

libseccomp (0.1.0-1ubuntu1) quantal; urgency=low

  * This source currently only supports i386 and amd64 for building.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 03 Jul 2012 10:07:47 -0400

libseccomp (0.1.0-1) unstable; urgency=low

  * New upstream release.
    - drop patches taken upstream:
      - libexecdir.patch
      - pass-flags.patch

 -- Kees Cook <kees@debian.org>  Fri, 08 Jun 2012 12:32:22 -0700

libseccomp (0.0.0~20120605-1) unstable; urgency=low

  * Initial release (Closes: #676257).

 -- Kees Cook <kees@debian.org>  Tue, 05 Jun 2012 11:28:07 -0700

=== debian/control ===
Source: libseccomp
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kees Cook <kees@debian.org>
Build-Depends: debhelper (>= 9), linux-libc-dev
Standards-Version: 3.9.3
Homepage: https://sourceforge.net/projects/libseccomp/

Package: libseccomp-dev
Section: libdevel
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libseccomp0 (= ${binary:Version}), ${misc:Depends}
Description: high level interface to Linux seccomp filter (development files)
 This library provides a high level interface to constructing, analyzing
 and installing seccomp filters via a BPF passed to the Linux Kernel's
 prctl() syscall.
 .
 This package contains the development files.

Package: libseccomp0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high level interface to Linux seccomp filter
 This library provides a high level interface to constructing, analyzing
 and installing seccomp filters via a BPF passed to the Linux Kernel's
 prctl() syscall.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) dist-clean

override_dh_auto_configure:
	./configure --prefix=/usr \
	  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	sed -i -e 's/^prefix=.*/prefix=\/usr/' $(CURDIR)/libseccomp.pc \
	  -e 's/^libdir=.*/libdir=$${prefix}\/lib\/$(DEB_HOST_MULTIARCH)/' \
	  $(CURDIR)/libseccomp.pc

## libseccomp 1.0.1

=== Makefile ===
#
# Enhanced Seccomp Library Makefile
#
# Copyright (c) 2012 Red Hat <pmoore@redhat.com>
# Author: Paul Moore <pmoore@redhat.com>
#

#
# This library is free software; you can redistribute it and/or modify it
# under the terms of version 2.1 of the GNU Lesser General Public License as
# published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
# for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, see <http://www.gnu.org/licenses>.
#

#
# macros
#

include macros.mk

#
# configuration
#

-include version_info.mk
-include configure.mk
include install.mk

#
# targets
#

CONFIGS = configure.mk configure.h version_info.mk libseccomp.pc
SUBDIRS_BUILD = src tests tools
SUBDIRS_INSTALL = src include doc

.PHONY: tarball install ctags cstags clean dist-clean $(SUBDIRS_BUILD)

all: $(SUBDIRS_BUILD)

$(CONFIGS): version_info
	@$(ECHO) ">> INFO: automatically generating configuration ..."
	@./configure

tarball: clean
	@ver=$(VERSION_RELEASE); \
	tarball=libseccomp-$$ver.tar.gz; \
	$(ECHO) ">> INFO: creating the tarball ../$$tarball"; \
	tmp_dir=$$(mktemp -d /tmp/libseccomp.XXXXX); \
	rel_dir=$$tmp_dir/libseccomp-$$ver; \
	$(MKDIR) $$rel_dir; \
	$(TAR) cf - --exclude=*~ --exclude=.git* --exclude=.stgit* . | \
		(cd $$rel_dir; tar xf -); \
	(cd $$tmp_dir; $(TAR) zcf $$tarball libseccomp-$$ver); \
	$(MV) $$tmp_dir/$$tarball ..; \
	$(RM) -rf $$tmp_dir;

$(VERSION_HDR): version_info.mk
	@$(ECHO) ">> INFO: creating the version header file"
	@hdr="$(VERSION_HDR)"; \
	$(ECHO) "/* automatically generated - do not edit */" > $$hdr; \
	$(ECHO) "#ifndef _VERSION_H" >> $$hdr; \
	$(ECHO) "#define _VERSION_H" >> $$hdr; \
	$(ECHO) "#define VERSION_RELEASE \"$(VERSION_RELEASE)\"" >> $$hdr; \
	$(ECHO) "#endif" >> $$hdr;

src: $(VERSION_HDR) $(CONFIGS)
	@$(ECHO) ">> INFO: building in directory $@/ ..."
	@$(MAKE) -C $@

tests: src
	@$(ECHO) ">> INFO: building in directory $@/ ..."
	@$(MAKE) -C $@

tools: src
	@$(ECHO) ">> INFO: building in directory $@/ ..."
	@$(MAKE) -C $@

install: $(SUBDIRS_BUILD)
	@$(ECHO) ">> INFO: installing in $(INSTALL_PREFIX) ..."
	$(INSTALL_PC_MACRO) libseccomp.pc
	@for dir in $(SUBDIRS_INSTALL); do \
		$(ECHO) ">> INFO: installing from $$dir/"; \
		$(MAKE) -C $$dir install; \
	done

ctags:
	@$(ECHO) ">> INFO: generating ctags for the project ..."
	@ctags -R *

cstags:
	@$(ECHO) ">> INFO: generating cscope tags for the project ..."
	@find -iname *.[ch] > cscope.files
	@cscope -b -q -k

clean:
	@$(ECHO) ">> INFO: cleaning up libseccomp"
	@for dir in $(SUBDIRS_BUILD); do \
		$(MAKE) -C $$dir clean; \
	done

dist-clean: clean
	@$(ECHO) ">> INFO: removing the configuration files"
	@$(RM) $(CONFIGS)

=== doc/Makefile ===
--- 
+++ 
@@ -57,4 +57,4 @@
 install: install_man3
 
 install_man3: $(MAN3)
-	$(INSTALL_MAN_MACRO) man3 "manpages"
+	$(INSTALL_MAN3_MACRO)

=== include/Makefile ===
#
# Enhanced Seccomp Library Makefile
#
# Copyright (c) 2012 Red Hat <pmoore@redhat.com>
# Author: Paul Moore <pmoore@redhat.com>
#

#
# This library is free software; you can redistribute it and/or modify it
# under the terms of version 2.1 of the GNU Lesser General Public License as
# published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
# for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, see <http://www.gnu.org/licenses>.
#

#
# macros
#

include ../macros.mk

#
# configuration
#

include $(TOPDIR)/version_info.mk
include $(TOPDIR)/configure.mk
include $(TOPDIR)/install.mk

#
# targets
#

.PHONY: all install install_hdr

all:

install: install_hdr

install_hdr: seccomp.h
	$(INSTALL_INC_MACRO)

=== src/Makefile ===
--- 
+++ 
@@ -37,8 +37,9 @@
 LIB_SHARED = libseccomp.so.$(VERSION_RELEASE)
 
 OBJS = \
-	api.o db.o \
-	arch.o arch-i386.o \
+	api.o db.o arch.o \
+	arch-i386.o arch-i386-syscalls.o \
+	arch-x86_64.o arch-x86_64-syscalls.o \
 	hash.o \
 	gen_pfc.o gen_bpf.o
 
@@ -64,4 +65,4 @@
 	$(INSTALL_LIB_MACRO)
 
 clean:
-	$(RM) -f $(DEPS) $(OBJS) $(LIB_STATIC) $(LIB_SHARED)
+	$(RM) $(DEPS) $(OBJS) $(LIB_STATIC) $(LIB_SHARED)

=== tests/Makefile ===
--- 
+++ 
@@ -48,7 +48,9 @@
 	10-syscall-priority-post \
 	11-basic-errors \
 	12-basic-masked-ops \
-	13-attrs
+	13-attrs \
+	14-reset \
+	15-resolver
 
 DEPS_OBJS = $(OBJS:%.o=%.d)
 DEPS_TESTS = $(TESTS:%=%.d)
@@ -72,4 +74,4 @@
 	$(COMPILE_EXEC)
 
 clean:
-	$(RM) -f $(DEPS_TESTS) $(DEPS_OBJS) $(TESTS) $(OBJS)
+	$(RM) $(DEPS_TESTS) $(DEPS_OBJS) $(TESTS) $(OBJS)

=== tools/Makefile ===
--- 
+++ 
@@ -53,4 +53,4 @@
 	$(COMPILE_EXEC)
 
 clean:
-	$(RM) -f $(DEPS) $(TOOLS)
+	$(RM) $(DEPS) $(TOOLS)

=== debian/changelog ===
libseccomp (1.0.1-2~cloud1) precise-havana; urgency=low

  * No change rebuild to enable new architectures.

 -- James Page <james.page@ubuntu.com>  Tue, 08 Oct 2013 14:24:18 +0100

libseccomp (1.0.1-2) unstable; urgency=low

  * debian/rules: enable testsuite at build time, thanks to
    Stéphane Graber (Closes: 698803).
  * Added debian/patches/include-unistd.patch: detect location of
    asm/unistd.h correctly.
  * Added debian/patches/testsuite-x86-write.patch: skip the "write"
    syscall correctly on x86.
  * debian/control: bump standards to 3.9.4, no changes needed.

 -- Kees Cook <kees@debian.org>  Wed, 23 Jan 2013 13:11:53 -0800

libseccomp (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: only build on amd64 and i386 (Closes: 687368).

 -- Kees Cook <kees@debian.org>  Fri, 07 Dec 2012 11:38:03 -0800

libseccomp (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - bump ABI.
    - drop build verbosity patch, use upstream V=1 instead.
  * libseccomp-dev.manpages: fix build location (Closes: 682152, 682471).
  * debian/patches/pkgconfig-macro.patch: use literals for macro.

 -- Kees Cook <kees@debian.org>  Fri, 03 Aug 2012 16:59:41 -0700

=== debian/control ===
Source: libseccomp
Section: libs
Priority: optional
Maintainer: Kees Cook <kees@debian.org>
Build-Depends: debhelper (>= 9), linux-libc-dev
Standards-Version: 3.9.4
Homepage: https://sourceforge.net/projects/libseccomp/

Package: libseccomp-dev
Section: libdevel
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libseccomp1 (= ${binary:Version}), ${misc:Depends}
Description: high level interface to Linux seccomp filter (development files)
 This library provides a high level interface to constructing, analyzing
 and installing seccomp filters via a BPF passed to the Linux Kernel's
 prctl() syscall.
 .
 This package contains the development files.

Package: libseccomp1
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high level interface to Linux seccomp filter
 This library provides a high level interface to constructing, analyzing
 and installing seccomp filters via a BPF passed to the Linux Kernel's
 prctl() syscall.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Enable verbose build details.
export V=1

%:
	dh $@ --parallel

override_dh_auto_clean:
	$(MAKE) dist-clean
	rm -f tests/regression.out

override_dh_auto_configure:
	./configure --prefix=/usr \
	  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	#sed -i -e 's/^prefix=.*/prefix=\/usr/' $(CURDIR)/libseccomp.pc \
	#  -e 's/^libdir=.*/libdir=$${prefix}\/lib\/$(DEB_HOST_MULTIARCH)/' \
	#  $(CURDIR)/libseccomp.pc

override_dh_auto_test:
	cd tests && ./regression 2>&1 | tee regression.out && \
	  grep -q "^ tests failed: 0" regression.out

=== debian/watch ===
# See uscan(1) for format
version=3
http://sf.net/libseccomp/libseccomp-(.*)\.tar\.gz \
    debian uupdate

## libseccomp 2.1.0%2Bdfsg

=== src/Makefile ===
--- 
+++ 
@@ -38,20 +38,32 @@
 
 OBJS = \
 	api.o db.o arch.o \
-	arch-i386.o arch-i386-syscalls.o \
+	arch-x86.o arch-x86-syscalls.o \
 	arch-x86_64.o arch-x86_64-syscalls.o \
+	arch-x32.o arch-x32-syscalls.o \
+	arch-arm.o arch-arm-syscalls.o \
 	hash.o \
 	gen_pfc.o gen_bpf.o
 
 DEPS = $(OBJS:%.o=%.d)
 
 #
+# bindings configuration
+#
+
+BINDINGS =
+
+ifeq ($(CONF_BINDINGS_PYTHON), 1)
+	BINDINGS += python
+endif
+
+#
 # targets
 #
 
-.PHONY: all install clean
+.PHONY: all install clean python
 
-all: $(LIB_STATIC) $(LIB_SHARED)
+all: $(LIB_STATIC) $(LIB_SHARED) $(BINDINGS)
 
 -include $(DEPS)
 
@@ -61,8 +73,20 @@
 $(LIB_SHARED): $(OBJS)
 	$(LINK_LIB)
 
+python: $(LIB_STATIC)
+	@$(ECHO_INFO) "building in directory $@/ ..."
+	@$(MAKE) -C $@
+
 install: $(LIB_SHARED)
 	$(INSTALL_LIB_MACRO)
+	@for dir in $(BINDINGS); do \
+		$(ECHO) ">> INFO: installing from $$dir/"; \
+		$(MAKE) -C $$dir install; \
+	done
 
 clean:
 	$(RM) $(DEPS) $(OBJS) $(LIB_STATIC) $(LIB_SHARED)
+	@for dir in $(BINDINGS); do \
+		$(MAKE) -C $$dir clean; \
+	done
+

## libseccomp 2.1.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -38,21 +38,21 @@
 #
 
 CONFIGS = configure.mk configure.h version_info.mk libseccomp.pc
-SUBDIRS_BUILD = src tests tools
-SUBDIRS_INSTALL = src include doc
+SUBDIRS_BUILD = include src tests tools
+SUBDIRS_INSTALL = include src tools doc
 
 .PHONY: tarball install ctags cstags clean dist-clean $(SUBDIRS_BUILD)
 
 all: $(SUBDIRS_BUILD)
 
 $(CONFIGS): version_info
-	@$(ECHO) ">> INFO: automatically generating configuration ..."
+	@$(ECHO_INFO) "automatically generating configuration ..."
 	@./configure
 
 tarball: clean
 	@ver=$(VERSION_RELEASE); \
 	tarball=libseccomp-$$ver.tar.gz; \
-	$(ECHO) ">> INFO: creating the tarball ../$$tarball"; \
+	$(ECHO_INFO) "creating the tarball ../$$tarball"; \
 	tmp_dir=$$(mktemp -d /tmp/libseccomp.XXXXX); \
 	rel_dir=$$tmp_dir/libseccomp-$$ver; \
 	$(MKDIR) $$rel_dir; \
@@ -63,49 +63,56 @@
 	$(RM) -rf $$tmp_dir;
 
 $(VERSION_HDR): version_info.mk
-	@$(ECHO) ">> INFO: creating the version header file"
+	@$(ECHO_INFO) "creating the version header file"
 	@hdr="$(VERSION_HDR)"; \
 	$(ECHO) "/* automatically generated - do not edit */" > $$hdr; \
 	$(ECHO) "#ifndef _VERSION_H" >> $$hdr; \
 	$(ECHO) "#define _VERSION_H" >> $$hdr; \
 	$(ECHO) "#define VERSION_RELEASE \"$(VERSION_RELEASE)\"" >> $$hdr; \
+	$(ECHO) "#define VERSION_MAJOR $(VERSION_MAJOR)" >> $$hdr; \
+	$(ECHO) "#define VERSION_MINOR $(VERSION_MINOR)" >> $$hdr; \
+	$(ECHO) "#define VERSION_MICRO $(VERSION_MICRO)" >> $$hdr; \
 	$(ECHO) "#endif" >> $$hdr;
 
+include: $(VERSION_HDR) $(CONFIGS)
+	@$(ECHO_INFO) "building in directory $@/ ..."
+	@$(MAKE) -C $@
+
 src: $(VERSION_HDR) $(CONFIGS)
-	@$(ECHO) ">> INFO: building in directory $@/ ..."
+	@$(ECHO_INFO) "building in directory $@/ ..."
 	@$(MAKE) -C $@
 
 tests: src
-	@$(ECHO) ">> INFO: building in directory $@/ ..."
+	@$(ECHO_INFO) "building in directory $@/ ..."
 	@$(MAKE) -C $@
 
 tools: src
-	@$(ECHO) ">> INFO: building in directory $@/ ..."
+	@$(ECHO_INFO) "building in directory $@/ ..."
 	@$(MAKE) -C $@
 
 install: $(SUBDIRS_BUILD)
-	@$(ECHO) ">> INFO: installing in $(INSTALL_PREFIX) ..."
+	@$(ECHO_INFO) "installing in $(INSTALL_PREFIX) ..."
 	$(INSTALL_PC_MACRO) libseccomp.pc
 	@for dir in $(SUBDIRS_INSTALL); do \
-		$(ECHO) ">> INFO: installing from $$dir/"; \
+		$(ECHO_INFO) "installing from $$dir/"; \
 		$(MAKE) -C $$dir install; \
 	done
 
 ctags:
-	@$(ECHO) ">> INFO: generating ctags for the project ..."
+	@$(ECHO_INFO) "generating ctags for the project ..."
 	@ctags -R *
 
 cstags:
-	@$(ECHO) ">> INFO: generating cscope tags for the project ..."
+	@$(ECHO_INFO) "generating cscope tags for the project ..."
 	@find -iname *.[ch] > cscope.files
 	@cscope -b -q -k
 
 clean:
-	@$(ECHO) ">> INFO: cleaning up libseccomp"
+	@$(ECHO_INFO) "cleaning up libseccomp"
 	@for dir in $(SUBDIRS_BUILD); do \
 		$(MAKE) -C $$dir clean; \
 	done
 
 dist-clean: clean
-	@$(ECHO) ">> INFO: removing the configuration files"
+	@$(ECHO_INFO) "removing the configuration files"
 	@$(RM) $(CONFIGS)

=== doc/Makefile ===
--- 
+++ 
@@ -33,6 +33,9 @@
 include $(TOPDIR)/configure.mk
 include $(TOPDIR)/install.mk
 
+MAN1 = \
+	man/man1/scmp_sys_resolver.1
+
 MAN3 = \
 	man/man3/seccomp_init.3 \
 	man/man3/seccomp_load.3 \
@@ -41,20 +44,31 @@
 	man/man3/seccomp_rule_add.3 \
 	man/man3/seccomp_rule_add_exact.3 \
 	man/man3/seccomp_syscall_priority.3 \
+	man/man3/seccomp_syscall_resolve_name.3 \
+	man/man3/seccomp_syscall_resolve_name_arch.3 \
+	man/man3/seccomp_syscall_resolve_num_arch.3 \
 	man/man3/seccomp_export_bpf.3 \
 	man/man3/seccomp_export_pfc.3 \
 	man/man3/seccomp_attr_set.3 \
-	man/man3/seccomp_attr_get.3
+	man/man3/seccomp_attr_get.3 \
+	man/man3/seccomp_arch_add.3 \
+	man/man3/seccomp_arch_exist.3 \
+	man/man3/seccomp_arch_native.3 \
+	man/man3/seccomp_arch_remove.3 \
+	man/man3/seccomp_merge.3
 
 #
 # targets
 #
 
-.PHONY: all install install_man3
+.PHONY: all install install_man1 install_man3
 
 all:
 
-install: install_man3
+install: install_man1 install_man3
+
+install_man1: $(MAN1)
+	$(INSTALL_MAN1_MACRO)
 
 install_man3: $(MAN3)
 	$(INSTALL_MAN3_MACRO)

=== include/Makefile ===
--- 
+++ 
@@ -33,15 +33,25 @@
 include $(TOPDIR)/configure.mk
 include $(TOPDIR)/install.mk
 
+HDR_BUILD = seccomp.h
+
 #
 # targets
 #
 
-.PHONY: all install install_hdr
+.PHONY: all install clean
 
-all:
+all: $(HDR_BUILD)
 
-install: install_hdr
+install: $(HDR_BUILD)
+	$(INSTALL_INC_MACRO)
 
-install_hdr: seccomp.h
-	$(INSTALL_INC_MACRO)
+seccomp.h: seccomp.h.in
+	@$(ECHO) " GEN $@"
+	$(CAT) $< | \
+	$(SED) -e 's/%%VERSION_MAJOR%%/$(VERSION_MAJOR)/g' | \
+	$(SED) -e 's/%%VERSION_MINOR%%/$(VERSION_MINOR)/g' | \
+	$(SED) -e 's/%%VERSION_MICRO%%/$(VERSION_MICRO)/g' > $@
+
+clean:
+	@$(RM) $(HDR_BUILD)

=== tests/Makefile ===
--- 
+++ 
@@ -36,21 +36,33 @@
 
 LDFLAGS := ../src/libseccomp.a $(OBJS)
 
-TESTS = 01-allow \
-	02-basic \
-	03-basic-chains \
-	04-multilevel-chains \
-	05-long-jumps \
-	06-actions \
-	07-db-bug-looping \
-	08-subtree-checks \
-	09-syscall-priority-pre \
-	10-syscall-priority-post \
-	11-basic-errors \
-	12-basic-masked-ops \
-	13-attrs \
-	14-reset \
-	15-resolver
+TEST_PRIVATE = 00-test
+
+TESTS = 01-sim-allow \
+	02-sim-basic \
+	03-sim-basic_chains \
+	04-sim-multilevel_chains \
+	05-sim-long_jumps \
+	06-sim-actions \
+	07-sim-db_bug_looping \
+	08-sim-subtree_checks \
+	09-sim-syscall_priority_pre \
+	10-sim-syscall_priority_post \
+	11-basic-basic_errors \
+	12-sim-basic_masked_ops \
+	13-basic-attrs \
+	14-sim-reset \
+	15-basic-resolver \
+	16-sim-arch_basic \
+	17-sim-arch_merge \
+	18-sim-basic_whitelist \
+	19-sim-missing_syscalls \
+	20-live-basic_die \
+	21-live-basic_allow \
+	22-sim-basic_chains_array \
+	23-sim-arch_all_basic \
+	24-live-arg_allow \
+	25-sim-multilevel_chains_adv
 
 DEPS_OBJS = $(OBJS:%.o=%.d)
 DEPS_TESTS = $(TESTS:%=%.d)
@@ -73,5 +85,8 @@
 $(TESTS):
 	$(COMPILE_EXEC)
 
+$(TEST_PRIVATE): 00-test.c $(OBJS) ../src/libseccomp.a
+	$(COMPILE_EXEC)
+
 clean:
-	$(RM) $(DEPS_TESTS) $(DEPS_OBJS) $(TESTS) $(OBJS)
+	$(RM) $(DEPS_TESTS) $(DEPS_OBJS) $(TESTS) $(TEST_PRIVATE) $(OBJS)

=== debian/changelog ===
libseccomp (2.1.0+dfsg-1) unstable; urgency=low

  * Rebuild source package without accidental binaries (Closes: 725617).
    - debian/watch: mangle upstream version check.
  * debian/rules: make tests non-fatal while upstream fixes them
    (Closes: 721292).

 -- Kees Cook <kees@debian.org>  Sun, 06 Oct 2013 15:05:51 -0700

libseccomp (2.1.0-1) unstable; urgency=low

  * New upstream release (Closes: 718398):
    - dropped debian/patches/manpage-dashes.patch: taken upstream.
    - dropped debian/patches/include-unistd.patch: not needed.
    - debian/patches/testsuite-x86-write.patch: taken upstream.
    - ABI bump: moved from libseccomp1 to libseccomp2.
  * debian/control:
    - added Arch: armhf, now supported upstream.
    - added seccomp binary package for helper tools.
  * Added debian/patches/manpage-typo.patch: spelling fix.
  * Added debian/patches/build-ldflags.patch: fix LDFLAGS handling.

 -- Kees Cook <kees@debian.org>  Tue, 13 Aug 2013 00:02:01 -0700

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
 
 Package: libseccomp-dev
 Section: libdevel
-Architecture: i386 amd64
+Architecture: i386 amd64 armhf
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libseccomp1 (= ${binary:Version}), ${misc:Depends}
+Depends: libseccomp2 (= ${binary:Version}), ${misc:Depends}
+Suggests: seccomp
 Description: high level interface to Linux seccomp filter (development files)
  This library provides a high level interface to constructing, analyzing
  and installing seccomp filters via a BPF passed to the Linux Kernel's
@@ -19,8 +20,8 @@
  .
  This package contains the development files.
 
-Package: libseccomp1
-Architecture: i386 amd64
+Package: libseccomp2
+Architecture: i386 amd64 armhf
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -28,3 +29,13 @@
  This library provides a high level interface to constructing, analyzing
  and installing seccomp filters via a BPF passed to the Linux Kernel's
  prctl() syscall.
+
+Package: seccomp
+Section: utils
+Architecture: i386 amd64 armhf
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: libseccomp-dev
+Description: helper tools for high level interface to Linux seccomp filter
+ Provides helper tools for interacting with libseccomp. Currently, only
+ a single tool exists, providing a way to easily enumerate syscalls across
+ the supported architectures.

=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,9 @@
 override_dh_auto_configure:
 	./configure --prefix=/usr \
 	  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
-	#sed -i -e 's/^prefix=.*/prefix=\/usr/' $(CURDIR)/libseccomp.pc \
-	#  -e 's/^libdir=.*/libdir=$${prefix}\/lib\/$(DEB_HOST_MULTIARCH)/' \
-	#  $(CURDIR)/libseccomp.pc
 
 override_dh_auto_test:
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	cd tests && ./regression 2>&1 | tee regression.out && \
-	  grep -q "^ tests failed: 0" regression.out
+	  grep -q "^ tests failed: 0" regression.out || true
+endif

=== debian/watch ===
# See uscan(1) for format
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/libseccomp/libseccomp-(.*)\.tar\.gz \
    debian uupdate

## libseccomp 2.1.1

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,8 @@
 SUBDIRS_BUILD = include src tests tools
 SUBDIRS_INSTALL = include src tools doc
 
-.PHONY: tarball install ctags cstags clean dist-clean $(SUBDIRS_BUILD)
+.PHONY: tarball install check check-syntax ctags cstags clean dist-clean \
+	$(SUBDIRS_BUILD)
 
 all: $(SUBDIRS_BUILD)
 
@@ -49,7 +50,7 @@
 	@$(ECHO_INFO) "automatically generating configuration ..."
 	@./configure
 
-tarball: clean
+tarball: dist-clean
 	@ver=$(VERSION_RELEASE); \
 	tarball=libseccomp-$$ver.tar.gz; \
 	$(ECHO_INFO) "creating the tarball ../$$tarball"; \
@@ -78,15 +79,15 @@
 	@$(ECHO_INFO) "building in directory $@/ ..."
 	@$(MAKE) -C $@
 
-src: $(VERSION_HDR) $(CONFIGS)
+src: $(VERSION_HDR) $(CONFIGS) include
 	@$(ECHO_INFO) "building in directory $@/ ..."
 	@$(MAKE) -C $@
 
-tests: src
+tests: src include
 	@$(ECHO_INFO) "building in directory $@/ ..."
 	@$(MAKE) -C $@
 
-tools: src
+tools: src include
 	@$(ECHO_INFO) "building in directory $@/ ..."
 	@$(MAKE) -C $@
 
@@ -97,6 +98,13 @@
 		$(ECHO_INFO) "installing from $$dir/"; \
 		$(MAKE) -C $$dir install; \
 	done
+
+check: tools tests
+	@$(ECHO_INFO) "checking in directory tests/ ..."
+	@$(MAKE) -C tests check
+
+check-syntax:
+	@./tools/check-syntax
 
 ctags:
 	@$(ECHO_INFO) "generating ctags for the project ..."

=== tests/Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 # targets
 #
 
-.PHONY: clean
+.PHONY: check clean
 
 all: $(TESTS) $(OBJS)
 
@@ -88,5 +88,8 @@
 $(TEST_PRIVATE): 00-test.c $(OBJS) ../src/libseccomp.a
 	$(COMPILE_EXEC)
 
+check: $(TESTS)
+	./regression
+
 clean:
-	$(RM) $(DEPS_TESTS) $(DEPS_OBJS) $(TESTS) $(TEST_PRIVATE) $(OBJS)
+	$(RM) $(DEPS_TESTS) $(DEPS_OBJS) $(TESTS) $(TEST_PRIVATE) $(OBJS) *.pyc

=== tools/Makefile ===
--- 
+++ 
@@ -30,9 +30,16 @@
 #
 
 include $(TOPDIR)/configure.mk
+include $(TOPDIR)/install.mk
 
-TOOLS = bpf_disasm \
-	bpf_sim
+LDFLAGS := ../src/libseccomp.a
+
+TOOLS = scmp_bpf_disasm \
+	scmp_bpf_sim \
+	scmp_sys_resolver \
+	scmp_arch_detect
+
+TOOLS_INSTALL = scmp_sys_resolver
 
 DEPS = $(TOOLS:%=%.d)
 
@@ -40,7 +47,7 @@
 # targets
 #
 
-.PHONY: clean
+.PHONY: install clean
 
 all: $(TOOLS)
 
@@ -52,5 +59,8 @@
 $(TOOLS):
 	$(COMPILE_EXEC)
 
+install: $(TOOLS_INSTALL)
+	$(INSTALL_BIN_MACRO)
+
 clean:
 	$(RM) $(DEPS) $(TOOLS)

=== src/python/Makefile ===
#
# Enhanced Seccomp Library Python Bindings Makefile
#
# Copyright (c) 2012 Red Hat <pmoore@redhat.com>
# Author: Paul Moore <pmoore@redhat.com>
#

#
# This library is free software; you can redistribute it and/or modify it
# under the terms of version 2.1 of the GNU Lesser General Public License as
# published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
# for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, see <http://www.gnu.org/licenses>.
#

#
# macros
#

include ../../macros.mk

#
# configuration
#

include $(TOPDIR)/version_info.mk
include $(TOPDIR)/configure.mk
include $(TOPDIR)/install.mk

LIB_STATIC = ../libseccomp.a

#
# targets
#

.PHONY: all install clean

all: build

build: $(LIB_STATIC) libseccomp.pxd seccomp.pyx
	@$(RM) seccomp.c
	$(PY_BUILD) && touch build

install: build
	$(PY_INSTALL) install --prefix=$(DESTDIR)/$(INSTALL_PREFIX)

clean:
	$(RM) -rf build seccomp.c

=== debian/changelog ===
libseccomp (2.1.1-1ubuntu1~trusty5) trusty-security; urgency=medium

  * No change rebuild for trusty-security

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 29 Jan 2019 23:39:20 +0000

libseccomp (2.1.1-1ubuntu1~trusty4) trusty-proposed; urgency=medium

  * debian/libseccomp-dev.install: include static library
    (LP: #1703580)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 11 Jul 2017 12:22:18 +0200

libseccomp (2.1.1-1ubuntu1~trusty3) trusty-proposed; urgency=medium

  * Cherrypick various bpf fixes to support argument filtering on 64-bit
    (LP: #1653487)
    - debian/patches/bpf-use-state-arch.patch: use state->arch instead of
      db->arch in _gen_bpf_arch()
    - debian/patches/db-require-filters-to-share-endianess.patch: require all
      filters in a collection to share the same endianess
    - debian/patches/resolve-issues-caused-by-be.patch: resolve issues caused
      by big endian systems
    - debian/patches/bpf-accumulator-check.patch: test the bpf accumulator
      checking logic
    - debian/patches/bpf-track-accumulator-state.patch: track accumulator
      state and reload it when necessary. This is the fix for LP: #1653487. The
      previous patches are required by this patch.
    - debian/patches/ensure-simulator-has-valid-arch.patch: ensure the
      simulator always has a valid architecture value. This fixes a regression
      in the testsuite introduced by resolve-issues-caused-by-be.patch
    - debian/patches/bpf-accumulator-check-indep.patch: fix a regression in the
      testsuite introduced by bpf-accumulator-check.patch
    - debian/patches/fix-audit-arch-i386.patch: fix arch token for 32-bit x86
      not being defined correctly for the tools

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 04 Jan 2017 21:11:30 +0000

libseccomp (2.1.1-1ubuntu1~trusty1) trusty-proposed; urgency=medium

  * Bring libseccomp 2.1.1-1ubuntu1~vivid2, from Ubuntu 14.10, to Ubuntu
    14.04 and add a couple patches to account for new syscalls found in the
    4.4 based hardware enablement kernel. This allows for proper snap seccomp
    confinement on Ubuntu 14.04 when using the hardware enablement kernel
    (LP: #1450642)
    - debian/patches/add-membarrier-and-userfaultfd.patch: Add membarrier and
      userfaultfd syscalls
    - debian/patches/add-mlock2.patch: Add mlock2 syscall
    - debian/tests/data/all-except-s390-4.4.filter: Add autopkgtest that
      verifies all syscalls found in the 4.4 kernel, except for the s390
      specific syscalls, are supported by libseccomp. The s390 specific
      syscalls are not needed since this version of libseccomp does not
      support the s390 architecture.
    - debian/tests/test-filter: Skip the getrandom filter tests since
      SYS_getrandom is not defined in 14.04 environment and the getrandom(2)
      syscall is not even available in the 14.04 release kernel.

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 15 Dec 2016 23:26:30 +0000

libseccomp (2.1.1-1ubuntu1~vivid2) vivid-proposed; urgency=medium

  * add-finit-module.patch: add finit_module syscalls to x86 and x86-64
    syscall tables
  * update syscalls for modern kernels (skipping MIPS)
    - update syscalls for 3.16:
      + update-x86-syscall-table.patch
      + update-x86_64-syscall-table.patch
      + update-arm-syscall-table.patch
      + update-x32-syscall-table.patch
      + sync-syscall-table-entries.patch
      + sync-syscall-table-entries-fixtypo.patch
    - update syscalls for 3.17:
      + sync-syscall-table-entries-3.17.patch
    - update syscalls for 3.19:
      + sync-syscall-table-entries-3.19.patch
    - LP: #1450642
  * fix-segfault-with-unknown.patch: fix segfault when find unknown syscall
  * debian/patches/add-missing-arm-private-syscalls.path: add missing private
    ARM syscalls
  * add autopkgtests for scmp_sys_resolver and filter testing and
    SYS_getrandom() testing

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 08 May 2015 17:10:14 -0400

libseccomp (2.1.1-1) unstable; urgency=low

  * New upstream release (Closes: 733293).
  * copyright: add a few missed people.
  * rules: adjusted for new test target.
  * libseccomp2.symbols: drop accidentally exported functions.
  * control:
    - bump standards, no changes needed.
    - add armel target

 -- Kees Cook <kees@debian.org>  Sat, 12 Apr 2014 10:44:22 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: libseccomp
 Section: libs
 Priority: optional
-Maintainer: Kees Cook <kees@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kees Cook <kees@debian.org>
 Build-Depends: debhelper (>= 9), linux-libc-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://sourceforge.net/projects/libseccomp/
+XS-Testsuite: autopkgtest
 
 Package: libseccomp-dev
 Section: libdevel
-Architecture: i386 amd64 armhf
+Architecture: i386 amd64 armhf armel
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libseccomp2 (= ${binary:Version}), ${misc:Depends}
@@ -21,7 +23,7 @@
  This package contains the development files.
 
 Package: libseccomp2
-Architecture: i386 amd64 armhf
+Architecture: i386 amd64 armhf armel
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -32,7 +34,7 @@
 
 Package: seccomp
 Section: utils
-Architecture: i386 amd64 armhf
+Architecture: i386 amd64 armhf armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libseccomp-dev
 Description: helper tools for high level interface to Linux seccomp filter

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_clean:
 	$(MAKE) dist-clean
-	rm -f tests/regression.out
+	rm -f regression.out
 
 override_dh_auto_configure:
 	./configure --prefix=/usr \
@@ -21,6 +21,6 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	cd tests && ./regression 2>&1 | tee regression.out && \
+	make check 2>&1 | tee regression.out && \
 	  grep -q "^ tests failed: 0" regression.out || true
 endif

## libseccomp 2.2.3

=== debian/changelog ===
libseccomp (2.2.3-2ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 13 Oct 2015 19:57:35 -0700

libseccomp (2.2.3-2ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - add autopkgtests
  * debian/control: Build on linux-any.
  * Backport patches for ppc/ppc64. LP: #1427076.
  * Backport patches for s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Oct 2015 17:45:30 +0200

libseccomp (2.2.3-2) unstable; urgency=medium

  * debian/control: enable mips64, mips64el, and x32 architectures,
    thanks to Helmut Grohne (Closes: 797383).

 -- Kees Cook <kees@debian.org>  Tue, 01 Sep 2015 15:37:31 -0700

libseccomp (2.2.3-1) unstable; urgency=medium

  * New upstream release (Closes: 793032).
  * debian/control: update Homepage (Closes: 793033).

 -- Kees Cook <kees@debian.org>  Mon, 03 Aug 2015 15:06:08 -0700

libseccomp (2.2.1-2ubuntu1) wily; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Add autopkgtest (Debian #788577)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Jun 2015 07:36:57 +0200

libseccomp (2.2.1-2) unstable; urgency=medium

  * debian/{rules,*.install}: move to /lib, thanks to Michael Biebl
    (Closes: 788923).

 -- Kees Cook <kees@debian.org>  Tue, 16 Jun 2015 12:45:08 -0700

libseccomp (2.2.1-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable. Dropped following patches (included in
    upstream):
    - add-finit-module.patch
    - update-x86-syscall-table.patch
    - update-x86_64-syscall-table.patch
    - update-arm-syscall-table.patch
    - update-x32-syscall-table.patch
    - sync-syscall-table-entries.patch
    - sync-syscall-table-entries-fixtypo.patch
    - sync-syscall-table-entries-3.17.patch
    - sync-syscall-table-entries-3.19.patch
    - fix-segfault-with-unknown.patch
    - add-missing-arm-private-syscalls.patch
  * Remaining changes:
    - add autopkgtests

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 12 Jun 2015 15:12:22 -0500

libseccomp (2.2.1-1) unstable; urgency=medium

  * New upstream release (Closes: 785428).
    - debian/patches dropped: incorporated upstream.
  * debian/libseccomp2.symbols: include only documented symbols.
  * debian/libseccomp-dev.install: include static library (Closes: 698508).
  * debian/control:
    - add newly supported arm64, mips, and mipsel.
    - bump standards version, no changes needed.

 -- Kees Cook <kees@debian.org>  Sat, 16 May 2015 08:15:26 -0700

libseccomp (2.1.1-1ubuntu1) wily; urgency=medium

  * add-finit-module.patch: add finit_module syscalls to x86 and x86-64
    syscall tables
  * update syscalls for modern kernels (skipping MIPS)
    - update syscalls for 3.16:
      + update-x86-syscall-table.patch
      + update-x86_64-syscall-table.patch
      + update-arm-syscall-table.patch
      + update-x32-syscall-table.patch
      + sync-syscall-table-entries.patch
      + sync-syscall-table-entries-fixtypo.patch
    - update syscalls for 3.17:
      + sync-syscall-table-entries-3.17.patch
    - update syscalls for 3.19:
      + sync-syscall-table-entries-3.19.patch
    - LP: #1450642
  * fix-segfault-with-unknown.patch: fix segfault when find unknown syscall
  * debian/patches/add-missing-arm-private-syscalls.path: add missing private
    ARM syscalls
  * add autopkgtests for scmp_sys_resolver and filter testing and
    SYS_getrandom() testing

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 08 May 2015 17:08:43 -0400

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Kees Cook <kees@debian.org>
-Build-Depends: debhelper (>= 9), linux-libc-dev
-Standards-Version: 3.9.5
-Homepage: https://sourceforge.net/projects/libseccomp/
+Build-Depends: debhelper (>= 9), dh-autoreconf, linux-libc-dev
+Standards-Version: 3.9.6
+Homepage: https://github.com/seccomp/libseccomp
 XS-Testsuite: autopkgtest
 
 Package: libseccomp-dev
 Section: libdevel
-Architecture: i386 amd64 armhf armel
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libseccomp2 (= ${binary:Version}), ${misc:Depends}
@@ -23,7 +23,7 @@
  This package contains the development files.
 
 Package: libseccomp2
-Architecture: i386 amd64 armhf armel
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -34,7 +34,7 @@
 
 Package: seccomp
 Section: utils
-Architecture: i386 amd64 armhf armel
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libseccomp-dev
 Description: helper tools for high level interface to Linux seccomp filter

=== debian/tests/control ===
Tests: test-filter test-scmp_sys_resolver
Restrictions: allow-stderr
Depends: @, build-essential, linux-libc-dev
